## superlu 7.0.0+dfsg1

=== CMakeLists.txt ===
# Required version
cmake_minimum_required(VERSION 3.12)

# Project Version
project(SuperLU C)
set(VERSION_MAJOR "7")
set(VERSION_MINOR "0")
set(VERSION_BugFix "0")
set(PROJECT_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_BugFix})

# Compatiblitly to xSDK standard
# (Extreme-scale Scientific Software Development Kit)
#
#MESSAGE("\nProcess XSDK defaults ...")
#SET(USE_XSDK_DEFAULTS_DEFAULT TRUE) # Set to false if desired
#INCLUDE("cmake/XSDKDefaults.cmake")
set(USE_XSDK_DEFAULTS TRUE)

# The XSDK standard does not allow using internally built BLAS
if (NOT "${enable_internal_blaslib}" STREQUAL "")
  if (USE_XSDK_DEFAULTS)
    set(enable_blaslib_xSDK OFF)
  else()
    set(enable_blaslib_xSDK ON)
  endif()
else()
  set(enable_blaslib_xSDK ${enable_internal_blaslib})
endif()

if (NOT "${enable_fortran}" STREQUAL "")
  if (XSDK_ENABLE_Fortran)
    set(enable_fortran_xSDK ON)
  else()
    set(enable_fortran_xSDK OFF)
  endif()
else()
  set(enable_fortran_xSDK ${enable_fortran})
endif()

# set up options
option(enable_internal_blaslib  "Build the CBLAS library" ${enable_blaslib_xSDK})
option(enable_single    "Enable single precision library" ON)
option(enable_double    "Enable double precision library" ON)
option(enable_complex   "Enable single precision complex library" ON)
option(enable_complex16 "Enable double precision complex (complex16) library" ON)
option(enable_matlabmex "Build the Matlab mex library" OFF)
option(enable_doc       "Add target 'doc' to build Doxygen documentation" OFF)
option(enable_examples  "Build examples" ON)
option(enable_fortran   "Build Fortran interface" ${enable_fortran_xSDK})
option(enable_tests     "Build tests" ON)
option(enable_compatibility_complex "Provide typdef 'complex' for compatibility with older SuperLU version" OFF)

include(CTest)
include(GNUInstallDirs)
include(FeatureSummary)

######################################################################
#
# Usual initialization stuff
#
######################################################################

# set C standard to C99 without GNU extensions, if not specified by the user
if ("${CMAKE_C_STANDARD}" STREQUAL "")
  set(CMAKE_C_STANDARD 99)
endif()
if ("${CMAKE_C_EXTENSIONS}" STREQUAL "")
  set(CMAKE_C_EXTENSIONS FALSE)
endif()

#---- set RPATH handling
# use, i.e. don't skip the full RPATH for the build tree
set(CMAKE_SKIP_BUILD_RPATH FALSE)

# when building, don't use the install RPATH already
# (but later on when installing)
set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

# the RPATH to be used when installing
set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")

# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

#---- For shared library
if (BUILD_SHARED_LIBS)
  message("-- SuperLU will be built as a shared library.")
  set(PROJECT_NAME_LIB_EXPORT libsuperlu.so)
else()
  message("-- SuperLU will be built as a static library.")
  set(PROJECT_NAME_LIB_EXPORT libsuperlu.a)
endif()

enable_language(C)
if (enable_fortran)
  enable_language(Fortran)
endif()
set(SUPERLU_VERSION "${PROJECT_VERSION}")
set(SUPERLU_REV "${PROJECT_REV}")

if(enable_compatibility_complex)
  add_compile_definitions(SUPERLU_TYPEDEF_COMPLEX)
endif()


#-- BLAS
option(TPL_ENABLE_INTERNAL_BLASLIB  "Build the CBLAS library" ${enable_internal_blaslib})
option(TPL_BLAS_LIBRARIES "List of absolute paths to blas libraries [].")
#-- METIS
option(TPL_ENABLE_METISLIB   "Build the METIS library" OFF)
option(TPL_METIS_LIBRARIES "List of absolute paths to METIS link libraries [].")
option(TPL_METIS_INCLUDE_DIRS "List of absolute paths to METIS include directories [].")

# setup required compiler defines and options.
## get_directory_property( DirDefs COMPILE_DEFINITIONS )
#set(CMAKE_C_FLAGS "-DPRNTlevel=0 -DDEBUGlevel=0 ${CMAKE_C_FLAGS}")

set(CMAKE_C_FLAGS_RELEASE "-O3" CACHE STRING "")

if(XSDK_INDEX_SIZE EQUAL 64)
    message("-- Using 64 bit integer for index size.")
endif()

if(MSVC)
  add_compile_definitions(NOMINMAX _COMPLEX_DEFINED)
  # suppress compiler warnings that sprintf and similar functions are unsafe (e.g. C4996)
  add_compile_definitions(_CRT_SECURE_NO_WARNINGS)
endif()

######################################################################
#
# Find packages
#
######################################################################
#
#--------------------- BLAS ---------------------
if(NOT enable_internal_blaslib)
  if (TPL_BLAS_LIBRARIES)
    set(BLAS_FOUND TRUE)
  else()
    find_package(BLAS)
    if (BLAS_FOUND)
      set(TPL_BLAS_LIBRARIES "${BLAS_LIBRARIES}" CACHE FILEPATH
        "Set from FindBLAS.cmake BLAS_LIBRARIES." FORCE)
    endif()
  endif()
endif()

if(BLAS_FOUND)
  message("-- Using TPL_BLAS_LIBRARIES='${TPL_BLAS_LIBRARIES}'")
  set(CMAKE_C_FLAGS "-DUSE_VENDOR_BLAS ${CMAKE_C_FLAGS}")
  set(BLAS_LIB ${TPL_BLAS_LIBRARIES})
  # fix up BLAS library name
  string (REPLACE ";" " " BLAS_LIB_STR "${BLAS_LIB}")
  set(BLAS_LIB_EXPORT ${BLAS_LIB_STR})
else()
  message("-- Did not find or specify BLAS so configure to build internal CBLAS ...")
  add_subdirectory(CBLAS)
  set(BLAS_LIB blas)
  if (BUILD_SHARED_LIBS)  # export to be referenced by downstream makefile
      set(BLAS_LIB_EXPORT ${CMAKE_INSTALL_PREFIX}/CBLAS/libblas.so)
  else()
      set(BLAS_LIB_EXPORT ${CMAKE_INSTALL_PREFIX}/CBLAS/libblas.a)
  endif()
endif()

#--------------------- METIS ---------------------
if (TPL_ENABLE_METISLIB)   ## want to use metis
  if (NOT TPL_METIS_LIBRARIES)
    message(FATAL_ERROR "TPL_METIS_LIBRARIES option should be set for METIS support to be enabled.")
  endif()

  if (NOT TPL_METIS_INCLUDE_DIRS)
    message(FATAL_ERROR "TPL_METIS_INCLUDE_DIRS option be set for METIS support to be enabled.")
  endif()
  foreach(dir ${TPL_METIS_INCLUDE_DIRS})
    if (NOT MINGW AND NOT EXISTS ${dir})
      message(FATAL_ERROR "METIS include directory not found: ${dir}")
    endif()
    set(CMAKE_C_FLAGS "-I${dir} ${CMAKE_C_FLAGS}")
  endforeach()

  message("-- Enabled support for METIS.")
  set(METIS_FOUND TRUE)

  set(METIS_LIB ${TPL_METIS_LIBRARIES})
  # fix up METIS library names
  string (REPLACE ";" " " METIS_LIB_STR "${METIS_LIB}")
  set(METIS_LIB_EXPORT ${METIS_LIB_STR})
else()
  message("-- Will not link with METIS.")
endif()

if(TPL_ENABLE_METISLIB AND NOT METIS_FOUND)
  find_package(METIS)
  if(METIS_FOUND)
    set(METIS_LIB METIS::METIS)
    set(TPL_METIS_INCLUDE_DIRS "")
  endif()
endif()

if(METIS_FOUND)
  set(HAVE_METIS TRUE)
endif()

if(MSVC)
  find_package(WinGetOpt)
endif()


######################################################################
#
# Include directories
#
######################################################################
include_directories(${CMAKE_BINARY_DIR}/SRC) # For superlu_config.h
if (TPL_METIS_INCLUDE_DIRS)
  include_directories(${TPL_METIS_INCLUDE_DIRS})  ## metis
endif ()

# Generate various configure files with proper definitions

# file(WRITE "make.defs" "# can be exposed to users"
#  ${CMAKE_C_COMPILER}  )
# configure_file(${CMAKE_SOURCE_DIR}/make.inc.in ${CMAKE_SOURCE_DIR}/make.inc)
configure_file(${SuperLU_SOURCE_DIR}/make.inc.in ${SuperLU_SOURCE_DIR}/make.inc)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/superlu.pc.in ${CMAKE_CURRENT_BINARY_DIR}/superlu.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/superlu.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

configure_file(${SuperLU_SOURCE_DIR}/SRC/superlu_config.h.in ${SuperLU_BINARY_DIR}/SRC/superlu_config.h)
configure_file(${SuperLU_SOURCE_DIR}/SRC/superlu_config.h.in ${SuperLU_SOURCE_DIR}/SRC/superlu_config.h)

# Following is to configure a header file for FORTRAN code
configure_file(${SuperLU_SOURCE_DIR}/SRC/superlu_config.h.in ${SuperLU_BINARY_DIR}/FORTRAN/superlu_config.h)

######################################################################
#
# Add subdirectories
#
######################################################################

add_subdirectory(SRC)

if(enable_matlabmex)
  add_subdirectory(MATLAB)
endif()

if(enable_tests)
  enable_testing()
  add_subdirectory(TESTING)
endif()

add_custom_target(examples)
if (enable_fortran)
  add_subdirectory(FORTRAN)
endif()

add_subdirectory(EXAMPLE)

if (enable_doc)
   add_subdirectory(DOC)
endif()

=== CBLAS/CMakeLists.txt ===
set(headers 
    f2c.h
    slu_Cnames.h
)

# set(sources input_error.c)
set(sources "")

#if (enable_single)
    list(APPEND sources
      isamax.c
      sasum.c
      saxpy.c
      scopy.c
      sdot.c
      snrm2.c
      srot.c 
      sscal.c 
      sswap.c
      sgemv.c
      ssymv.c
      strsv.c
      sger.c
      ssyr2.c
    )
#endif()

#if (enable_double)
    list(APPEND sources
      idamax.c
      dasum.c
      daxpy.c
      dcopy.c
      ddot.c
      dnrm2.c
      drot.c
      dscal.c
      dswap.c
      dgemv.c
      dsymv.c
      dtrsv.c
      dger.c
      dsyr2.c
    )
#endif()

#if (enable_complex)
    list(APPEND sources
      icamax.c
      scasum.c
      caxpy.c
      ccopy.c
      scnrm2.c
      cscal.c
      cswap.c
      cdotc.c
      cgemv.c
      chemv.c
      ctrsv.c
      cgerc.c
      cher2.c
    )
#endif()

#if (enable_complex16)
    list(APPEND sources
      izamax.c
      dzasum.c
      zaxpy.c
      zcopy.c
      dznrm2.c
      zscal.c
      dcabs1.c
      zswap.c
      zdotc.c
      zgemv.c
      zhemv.c
      ztrsv.c
      zgerc.c
      zher2.c
    )
#endif()

add_library(blas ${sources})

include(GNUInstallDirs)
install(TARGETS blas
  EXPORT blasTargets
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

install(EXPORT blasTargets
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/superlu"
  )
export(EXPORT blasTargets
  FILE "${CMAKE_CURRENT_BINARY_DIR}/blasTargets.cmake"
  )

=== EXAMPLE/CMakeLists.txt ===
include_directories(${SuperLU_SOURCE_DIR}/SRC)

# build examples for target "all" only if enable_examples is set
if(NOT enable_examples)
  set(_DEPENDENCY_ALL "EXCLUDE_FROM_ALL")
endif()

# targets to build examples
add_custom_target(examples_complex)
add_dependencies(examples_complex
                 citersol citersol1 clinsol clinsol1)
if(NOT MSVC OR (MSVC AND WinGetOpt_FOUND))
  add_dependencies(examples_complex
                   clinsolx clinsolx1 clinsolx2 clinsolx3)
endif()
add_custom_target(examples_double)
add_dependencies(examples_double
                 ditersol ditersol1 dlinsol dlinsol1)
if(NOT MSVC OR (MSVC AND WinGetOpt_FOUND))
  add_dependencies(examples_double
                   dlinsolx dlinsolx1 dlinsolx2 dlinsolx3)
endif()
add_custom_target(examples_float)
add_dependencies(examples_float
                 sitersol sitersol1 slinsol slinsol1)
if(NOT MSVC OR (MSVC AND WinGetOpt_FOUND))
  add_dependencies(examples_float
                   slinsolx slinsolx1 slinsolx2 slinsolx3)
endif()
add_custom_target(examples_doublecomplex)
add_dependencies(examples_doublecomplex
                 zitersol zitersol1 zlinsol zlinsol1)
if(NOT MSVC OR (MSVC AND WinGetOpt_FOUND))
  add_dependencies(examples_doublecomplex
                   zlinsolx zlinsolx1 zlinsolx2 zlinsolx3)
endif()
add_dependencies(examples
                 superlu_example
                 examples_complex
                 examples_double
                 examples_float
                 examples_doublecomplex)

add_executable(superlu_example
               ${_DEPENDENCY_ALL}
               superlu.c)
target_link_libraries(superlu_example superlu)

# examples for complex
add_executable(citersol
               ${_DEPENDENCY_ALL}
               citersol.c cfgmr.c)
target_link_libraries(citersol superlu)

add_executable(citersol1
               ${_DEPENDENCY_ALL}
               citersol1.c cfgmr.c)
target_link_libraries(citersol1 superlu)

add_executable(clinsol
               ${_DEPENDENCY_ALL}
               clinsol.c)
target_link_libraries(clinsol superlu)

add_executable(clinsol1
               ${_DEPENDENCY_ALL}
               clinsol1.c)
target_link_libraries(clinsol1 superlu)

if(NOT MSVC OR (MSVC AND WinGetOpt_FOUND))
  add_executable(clinsolx
                ${_DEPENDENCY_ALL}
                clinsolx.c)
  target_link_libraries(clinsolx superlu)

  add_executable(clinsolx1
                ${_DEPENDENCY_ALL}
                clinsolx1.c)
  target_link_libraries(clinsolx1 superlu)

  add_executable(clinsolx2
                ${_DEPENDENCY_ALL}
                clinsolx2.c)
  target_link_libraries(clinsolx2 superlu)

  add_executable(clinsolx3
                ${_DEPENDENCY_ALL}
                clinsolx3.c)
  target_link_libraries(clinsolx3 superlu)
endif()

# examples for double
add_executable(ditersol
               ${_DEPENDENCY_ALL}
               ditersol.c dfgmr.c)
target_link_libraries(ditersol superlu)

add_executable(ditersol1
               ${_DEPENDENCY_ALL}
               ditersol1.c dfgmr.c)
target_link_libraries(ditersol1 superlu)

add_executable(dlinsol
               ${_DEPENDENCY_ALL}
               dlinsol.c)
target_link_libraries(dlinsol superlu)

add_executable(dlinsol1
               ${_DEPENDENCY_ALL}
               dlinsol1.c)
target_link_libraries(dlinsol1 superlu)

if(NOT MSVC OR (MSVC AND WinGetOpt_FOUND))
  add_executable(dlinsolx
                ${_DEPENDENCY_ALL}
                dlinsolx.c)
  target_link_libraries(dlinsolx superlu)

  add_executable(dlinsolx1
                ${_DEPENDENCY_ALL}
                dlinsolx1.c)
  target_link_libraries(dlinsolx1 superlu)

  add_executable(dlinsolx2
                ${_DEPENDENCY_ALL}
                dlinsolx2.c)
  target_link_libraries(dlinsolx2 superlu)

  add_executable(dlinsolx3
                ${_DEPENDENCY_ALL}
                dlinsolx3.c)
  target_link_libraries(dlinsolx3 superlu)
endif()

# examples for float
add_executable(sitersol
               ${_DEPENDENCY_ALL}
               sitersol.c sfgmr.c)
target_link_libraries(sitersol superlu)

add_executable(sitersol1
               ${_DEPENDENCY_ALL}
               sitersol1.c sfgmr.c)
target_link_libraries(sitersol1 superlu)

add_executable(slinsol
               ${_DEPENDENCY_ALL}
               slinsol.c)
target_link_libraries(slinsol superlu)

add_executable(slinsol1
               ${_DEPENDENCY_ALL}
               slinsol1.c)
target_link_libraries(slinsol1 superlu)

if(NOT MSVC OR (MSVC AND WinGetOpt_FOUND))
  add_executable(slinsolx
                ${_DEPENDENCY_ALL}
                slinsolx.c)
  target_link_libraries(slinsolx superlu)

  add_executable(slinsolx1
                ${_DEPENDENCY_ALL}
                slinsolx1.c)
  target_link_libraries(slinsolx1 superlu)

  add_executable(slinsolx2
                ${_DEPENDENCY_ALL}
                slinsolx2.c)
  target_link_libraries(slinsolx2 superlu)

  add_executable(slinsolx3
                ${_DEPENDENCY_ALL}
                slinsolx3.c)
  target_link_libraries(slinsolx3 superlu)
endif()

# examples for double complex
add_executable(zitersol
               ${_DEPENDENCY_ALL}
               zitersol.c zfgmr.c)
target_link_libraries(zitersol superlu)

add_executable(zitersol1
               ${_DEPENDENCY_ALL}
               zitersol1.c zfgmr.c)
target_link_libraries(zitersol1 superlu)

add_executable(zlinsol
               ${_DEPENDENCY_ALL}
               zlinsol.c)
target_link_libraries(zlinsol superlu)

add_executable(zlinsol1
               ${_DEPENDENCY_ALL}
               zlinsol1.c)
target_link_libraries(zlinsol1 superlu)

if(NOT MSVC OR (MSVC AND WinGetOpt_FOUND))
  add_executable(zlinsolx
                ${_DEPENDENCY_ALL}
                zlinsolx.c)
  target_link_libraries(zlinsolx superlu)

  add_executable(zlinsolx1
                ${_DEPENDENCY_ALL}
                zlinsolx1.c)
  target_link_libraries(zlinsolx1 superlu)

  add_executable(zlinsolx2
                ${_DEPENDENCY_ALL}
                zlinsolx2.c)
  target_link_libraries(zlinsolx2 superlu)

  add_executable(zlinsolx3
                ${_DEPENDENCY_ALL}
                zlinsolx3.c)
  target_link_libraries(zlinsolx3 superlu)
endif()

if(MSVC AND WinGetOpt_FOUND)
  set(NEEDS_GETOPT
    clinsolx clinsolx1 clinsolx2 clinsolx3
    dlinsolx dlinsolx1 dlinsolx2 dlinsolx3
    slinsolx slinsolx1 slinsolx2 slinsolx3
    zlinsolx zlinsolx1 zlinsolx2 zlinsolx3)
  
  foreach(proj ${NEEDS_GETOPT})
    target_include_directories(${proj} PRIVATE ${WinGetOpt_INCLUDE_DIR})
    target_link_libraries(${proj} ${WinGetOpt_LIBRARY})
  endforeach(proj ${NEEDS_GETOPT})
endif()

=== debian/changelog ===
superlu (7.0.0+dfsg1-2) unstable; urgency=medium

  * Upload to unstable. Transition #1082552.

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 Oct 2024 10:42:41 +0200

superlu (7.0.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 7.
  * configure build with CMAKE_SKIP_INSTALL_RPATH=ON
    instead of CMAKE_SKIP_RPATH. superlu 7 needs the built-time
    runpath in tests to find libmatgen.so in TESTING/MATGEN
    (regression from superlu 6, see upstream Issue#153, but
    CMAKE_SKIP_INSTALL_RPATH is more appropriate for eliminating
    RUNPATH from final installed libraries anyway)
  * debian/tests: explicit build tests before running ctest
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Sep 2024 16:38:46 +0200

=== debian/control ===
Source: superlu
Priority: optional
Section: devel
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
 gfortran,
 cmake,
 libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so
Standards-Version: 4.7.0
Homepage: https://github.com/xiaoyeli/superlu
Vcs-Git: https://salsa.debian.org/science-team/superlu.git
Vcs-Browser: https://salsa.debian.org/science-team/superlu

Package: libsuperlu7
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Direct solution of large, sparse systems of linear equations
 SuperLU is a general purpose library for the direct solution of
 large, sparse, nonsymmetric systems of linear equations on high
 performance machines.
 .
 The library is written in C and is callable from either C or Fortran.
 The library routines will perform an LU decomposition with partial
 pivoting and triangular system solves through forward and back
 substitution. The LU factorization routines can handle non-square
 matrices but the triangular solves are performed only for square
 matrices. The matrix columns may be preordered (before factorization)
 either through library or user supplied routines. This preordering
 for sparsity is completely separate from the factorization. Working
 precision iterative refinement subroutines are provided for improved
 backward stability. Routines are also provided to equilibrate the
 system, estimate the condition number, calculate the relative
 backward error, and estimate error bounds for the refined solutions.
 .
 This package contains the SuperLU shared library.

Package: libsuperlu-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsuperlu7 (= ${binary:Version}),
    libopenblas-dev | libatlas-base-dev | libblas-dev | libblas.so,
    ${misc:Depends}
Suggests: libsuperlu-doc
Conflicts: libsuperlu4-dev, libsuperlu3-dev
Description: Direct solution of large, sparse systems of linear equations
 Development files for SuperLU.
 .
 SuperLU is a general purpose library for the direct solution of
 large, sparse, nonsymmetric systems of linear equations on high
 performance machines.
 .
 The library is written in C and is callable from either C or Fortran.
 The library routines will perform an LU decomposition with partial
 pivoting and triangular system solves through forward and back
 substitution. The LU factorization routines can handle non-square
 matrices but the triangular solves are performed only for square
 matrices. The matrix columns may be preordered (before factorization)
 either through library or user supplied routines. This preordering
 for sparsity is completely separate from the factorization. Working
 precision iterative refinement subroutines are provided for improved
 backward stability. Routines are also provided to equilibrate the
 system, estimate the condition number, calculate the relative
 backward error, and estimate error bounds for the refined solutions.
 .
 This package contains the header and development files to build
 against SuperLU.

Package: libsuperlu-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libsuperlu-dev
Description: Documentation for SuperLU
 This package contains the user guide and the reference manual of SuperLU.
 It also includes some example programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


%:
	dh $@ --buildsystem=cmake

execute_after_dh_clean:
	rm -f make.inc
	if [ -f SRC/superlu_config.h.orig ]; then \
	  mv SRC/superlu_config.h.orig SRC/superlu_config.h; \
	fi

execute_before_dh_autoreconf:
	cp SRC/superlu_config.h SRC/superlu_config.h.orig

override_dh_auto_configure:
	dh_auto_configure -- \
   -DBUILD_SHARED_LIBS:BOOL=ON \
   -Denable_internal_blaslib:BOOL=OFF \
   -DTPL_BLAS_LIBRARIES=blas \
   -DCMAKE_INSTALL_INCLUDEDIR:PATH=include/superlu/ \
   -DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON


DEB_SOURCE_PACKAGE = superlu
DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -n -e 's/+dfsg.*$$//p')
